Subject: Mac Inputs

From: "Martin J. Heijdra" <[email-masked]>
Date: Mon, 22 Nov 1993 10:30:32 EST

John Delacour wanted to have a discussion going on on Mac input systems,
but I was a little bit surprised to read his comments. I somehow doubt
he has read any documentation; since I don't have directly the 7.1S
version as sold in East-Asia, I do not know whether this information
was included in the sold version or not; part of the problem seems indeed
to be that there have appeared standard input systems in both the PRC
and Taiwan, and now providers like Apple rely on third-party guides to
provide full information. I also do not have full info, since I have used
the Chinese versions from the Developer CD, not from the sold Chinese
Language Kit. But with the help of explanations of Wubixing and Wubizihua,
and lianxiang published elsewhere I found out a lot.

First, John is mistaken several times in saying "Apple this" and "Apple that"
when he is talking about what are now standard interfaces used everywhere in
the PRC. For instance, the "v" for u: is a case in point; it was the u:
which was specific to Apple (and never worked fully in system 6); the v is
(a) standard PRC practice.

Also, the dictionary provided is not Apple's; it is the standard PRC dictio-
nary primarily intended for Wubi. Wubi has, in addition to character input
(codes are available in a separate window, necessary and optative letters
carefully distinguished with capitals and lower-case!-A very helpful
Apple addition!), also a STANDARDIZED list of words and phrases which can
receive a similar four-letter code. The list is limited, since otherwise
too many alternatives would occur, which is something the Wubi tries to
avoid (the complaints of John concerning continuous option display
miss the point: you just turn that option off in the pencil input menu,
John!  For a typical three-character
word, one would for instance type the first two letters of the Wubi-code
of the first character, the first letter of the second, and the first (of
was it last? I don't have my notes with me while I'm typing this) of the
last character. This is the STANDARD way of doing so in the PRC, used by
90% of typists--nothing Apple there. (Other features as mentioned by John,
as ordering characters etc., are simply GB features, having even less
to do with Apple.)

Since Apple is slowly trying for the Chinese market (it just opened a service
center in Qinghua), and as anywhere else, starts with the high-end publishing
market, it simply has to adopt to input methods used already; the worst it coul
d do is devising its own input system. Within the established guidelines though
it has done quite a good job of improving (or better: streamlining) the interfa
ce through short-cuts, the pencil input menu, etc. One example (although
that may be standard pratice as well): the chinese bracket key gives an opening
version the first time of typing, a closing one the second time.

Driven by market forces as the Simplified system is, it is only logical that
the traditional system IS NOT SIMILAR AT ALL!!! to the simplified system, as
John wrongly guessed. As should be clear from the above, it comes with the
input systems most used by high-end users in Taiwan: so Dayi in addition
to Cangjie and zhuyin fuhao. The only input system in common is the
pinyin system. There are less nice bells (like extra choice windows) in
the Traditional system; it has the context-sensitive Hanin input system
though.

Remains the question whether there SHOULD be an input system for Chinese
as most Japanese input systems, i.e. one in which one types a pinyin sentence
and the system, using dictionaries AND grammatical information, changes it
to characters. For Westerners, this is obviously ideal; I think the market
in the PRC and Taiwan are slowly deciding against using pinyin as a primary
input system. Hanin is context-sensitive, but much less so than Japanese
methods. Lianxiang requires one to look at the screen constantly, and therefore
is less useful. There is a product called Sindex (compatible with 7.1)
which promises sentence-level input, as does TurboWriter. Apple seems to
think this is the domain of third parties.

Martin Heijdra/Gest Library/Princeton.